# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2005 Dan Williams <dcbw@redhat.com> and Red Hat, Inc.



# Associate sub-architectures with their "master" architecture.
sub_arches = {
                'athlon'    : 'i386',
                'i686'      : 'i386',
                'i586'      : 'i386',
                'i486'      : 'i386',
                'i386'      : 'i386',
                'amd64'     : 'x86_64',
                'ia32e'     : 'x86_64',
                'x86_64'    : 'x86_64',
                'ppc32'     : 'ppc',
                'ppc'       : 'ppc',
                'ppc64'     : 'ppc64',
                'sparcv8'   : 'sparc',
                'sparcv9'   : 'sparc',
                'sparc'     : 'sparc',
                'sparc64'   : 'sparc'
             }


# Given a particular architecture, what can the machine build for?
#
# FIXME: we ignore the fact that i586 couldn't run i686 binaries
# built during a package's build process, like OpenOffice.org does
# for example

# x86 variants
sa_i386 = ['i386', 'i486', 'i586', 'i686', 'athlon']
sa_i486 = sa_i386
sa_i586 = sa_i386
sa_i686 = sa_i386
sa_athlon = sa_i386

# x86_64 variants
sa_x86_64 = sa_i386 + ['x86_64', 'amd64', 'ia32e']
sa_amd64 = sa_x86_64
sa_ia32e = sa_x86_64

# PPC variants
sa_ppc = ['ppc', 'ppc32']
sa_ppc32 = sa_ppc
sa_ppc64 = sa_ppc + ['ppc64']

# SPARC variants
sa_sparc = ['sparc', 'sparcv8', 'sparcv9']
sa_sparcv8 = sa_sparc
sa_sparcv9 = sa_sparc
sa_sparc64 = sa_sparc + ['sparc64']

# ARM variants
sa_armv7 = ['armv7hl']

supported_arches = {
                'athlon'    : sa_athlon,
                'i686'      : sa_i686,
                'i586'      : sa_i586,
                'i486'      : sa_i486,
                'i386'      : sa_i386,
                'amd64'     : sa_amd64,
                'ia32e'     : sa_ia32e,
                'x86_64'    : sa_x86_64,
                'ppc32'     : sa_ppc32,
                'ppc'       : sa_ppc,
                'ppc64'     : sa_ppc64,
                'sparcv8'   : sa_sparcv8,
                'sparcv9'   : sa_sparcv9,
                'sparc'     : sa_sparc,
                'sparc64'   : sa_sparc64,
                'armv7l'    : sa_armv7,
                   }
